name: Lint
run-name: Lint
on:
  push:

jobs:
  lint:
    runs-on: ubuntu-latest
    steps:
      - name: Set up Bun
        uses: oven-sh/setup-bun@v2
      - name: Checkout
        uses: actions/checkout@v6
      - name: Install dependencies
        run: bun install --frozen-lockfile
      - name: Lint TypeScript
        run: bun lint:tsc
      - name: Lint Biome
        run: bun lint:biome
